GNU bug report logs - #12956
24.2; Move hl-line-mode to display engine so performance reason.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Oleksandr Gavenko <gavenkoa@HIDDEN>; merged with #12953; dated Wed, 21 Nov 2012 22:19:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 12956 <at> debbugs.gnu.org:


Received: (at 12956) by debbugs.gnu.org; 22 Nov 2012 21:02:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 22 16:02:38 2012
Received: from localhost ([127.0.0.1]:33587 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tbduw-00058R-6e
	for submit <at> debbugs.gnu.org; Thu, 22 Nov 2012 16:02:38 -0500
Received: from mail-ea0-f172.google.com ([209.85.215.172]:44091)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <lekktu@HIDDEN>) id 1Tbdut-00058K-U9
	for 12956 <at> debbugs.gnu.org; Thu, 22 Nov 2012 16:02:36 -0500
Received: by mail-ea0-f172.google.com with SMTP id a1so2836381eaa.3
	for <12956 <at> debbugs.gnu.org>; Thu, 22 Nov 2012 13:01:13 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type;
	bh=CA78vsBUheDBbA8S/GiYIVSrAFICNdLAQuVDLLOBv+g=;
	b=aJpcb51S4452gXawgHJMTbB9+7z3qaUUHLn/cJJJjh61afPzkJHUmZ6dKqLJ0qtYi9
	fe12qMw8kFHC4jgHIqPZY21VOj0/WsP1nagu9tj3Y5UtUi5p3BzgQyDjEvifMp3KwkDv
	iulEzck6gf39hs3IAqb7R0h9ktr3rgNI7NzewftuSFO9yoND8fKesG7K8gEgwJvJsDG7
	mRxZ/7a0fg2b08laHpdCecxSedqBDx1pfqsk3OIuRXNPKnGKjyc2u4augdO+NtSssUUY
	JjfDbFSnWMOJs8VNrwB1e4Ia3jyZvbKKBkfgRc36gnUpnwVrvpkkuYiKu9XrXpWI/JTy
	QzCA==
Received: by 10.14.210.200 with SMTP id u48mr5132074eeo.29.1353618072942; Thu,
	22 Nov 2012 13:01:12 -0800 (PST)
MIME-Version: 1.0
Received: by 10.223.4.209 with HTTP; Thu, 22 Nov 2012 13:00:31 -0800 (PST)
In-Reply-To: <837gpeuwpl.fsf@HIDDEN>
References: <87sj82zjmp.fsf@HIDDEN> <837gpeuwpl.fsf@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Thu, 22 Nov 2012 22:00:31 +0100
Message-ID: <CAAeL0SSaJrsAmcNzZGrESx+MD=x0UhTReagbg68v72qoW77Rrw@HIDDEN>
Subject: Re: bug#12956: 24.2; Move hl-line-mode to display engine so
	performance reason.
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 12956
Cc: 12956 <at> debbugs.gnu.org, Oleksandr Gavenko <gavenkoa@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.1 (/)

On Thu, Nov 22, 2012 at 4:45 AM, Eli Zaretskii <eliz@HIDDEN> wrote:

> This is a duplicate of 12953.

It's already merged.

    Juanma




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12956; Package emacs. Full text available.
Merged 12953 12956. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 12956 <at> debbugs.gnu.org:


Received: (at 12956) by debbugs.gnu.org; 22 Nov 2012 03:47:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 21 22:47:21 2012
Received: from localhost ([127.0.0.1]:60105 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TbNl2-00080y-E6
	for submit <at> debbugs.gnu.org; Wed, 21 Nov 2012 22:47:20 -0500
Received: from mtaout21.012.net.il ([80.179.55.169]:44802)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1TbNkz-00080n-M7
	for 12956 <at> debbugs.gnu.org; Wed, 21 Nov 2012 22:47:18 -0500
Received: from conversion-daemon.a-mtaout21.012.net.il by
	a-mtaout21.012.net.il (HyperSendmail v2007.08) id
	<0MDV00000EAMYJ00@HIDDEN> for
	12956 <at> debbugs.gnu.org; Thu, 22 Nov 2012 05:45:58 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MDV000DMEGLT770@HIDDEN>;
	Thu, 22 Nov 2012 05:45:58 +0200 (IST)
Date: Thu, 22 Nov 2012 05:45:42 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#12956: 24.2;
	Move hl-line-mode to display engine so performance reason.
In-reply-to: <87sj82zjmp.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Oleksandr Gavenko <gavenkoa@HIDDEN>
Message-id: <837gpeuwpl.fsf@HIDDEN>
References: <87sj82zjmp.fsf@HIDDEN>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview: > From: Oleksandr Gavenko <gavenkoa@HIDDEN> > Date:
	Thu, 22 Nov 2012 00:17:02 +0200 > > >From
	http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12927
	> > > > Also I found that "(global-hl-line-mode 1)" slow down scrolling
	in
	CC-mode > > > enabled buffers in two or more times. Do I need report a
	bug? > > > No,
	this is expected. hl-line-mode adds itself to post-command-hook,
	> > and moves its overlay after each command that changes the current >
	> line. What this does is completely disable the redisplay > >
	optimizations
	used when only the cursor moves without any other > > changes to the
	text, 
	because moving an overlay requires a thorough > > redisplay of the
	window, 
	which is more expensive. > > > The only bug report that I can think of
	is
	a feature request to move > > hl-line-mode into the display engine,
	because
	the display engine > > knowns very well where's the current line (when
	it decides where to > > display the cursor),
	and can do this highlighting better
	and much more > > efficiently. [...] 
	Content analysis details:   (1.5 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	-0.0 RCVD_IN_DNSWL_NONE RBL: Sender listed at http://www.dnswl.org/,
	no trust [80.179.55.169 listed in list.dnswl.org]
	0.7 SPF_SOFTFAIL SPF: sender does not match SPF record (softfail)
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
X-Debbugs-Envelope-To: 12956
Cc: 12956 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > From: Oleksandr Gavenko <gavenkoa@HIDDEN> > Date: Thu,
    22 Nov 2012 00:17:02 +0200 > > >From http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12927
    > > > > Also I found that "(global-hl-line-mode 1)" slow down scrolling in
    CC-mode > > > enabled buffers in two or more times. Do I need report a bug?
    > > > No, this is expected. hl-line-mode adds itself to post-command-hook,
    > > and moves its overlay after each command that changes the current > >
    line. What this does is completely disable the redisplay > > optimizations
    used when only the cursor moves without any other > > changes to the text,
    because moving an overlay requires a thorough > > redisplay of the window,
    which is more expensive. > > > The only bug report that I can think of is
    a feature request to move > > hl-line-mode into the display engine, because
    the display engine > > knowns very well where's the current line (when it
    decides where to > > display the cursor), and can do this highlighting better
    and much more > > efficiently. [...] 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [80.179.55.169 listed in list.dnswl.org]
  0.7 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.4998]

> From: Oleksandr Gavenko <gavenkoa@HIDDEN>
> Date: Thu, 22 Nov 2012 00:17:02 +0200
> 
> >From http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12927
> 
> > > Also I found that "(global-hl-line-mode 1)" slow down scrolling in CC-mode
> > > enabled buffers in two or more times. Do I need report a bug?
> 
> > No, this is expected.  hl-line-mode adds itself to post-command-hook,
> > and moves its overlay after each command that changes the current
> > line.  What this does is completely disable the redisplay
> > optimizations used when only the cursor moves without any other
> > changes to the text, because moving an overlay requires a thorough
> > redisplay of the window, which is more expensive.
> 
> > The only bug report that I can think of is a feature request to move
> > hl-line-mode into the display engine, because the display engine
> > knowns very well where's the current line (when it decides where to
> > display the cursor), and can do this highlighting better and much more
> > efficiently.

This is a duplicate of 12953.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12956; Package emacs. Full text available.
Merged 12953 12956. Request was from Juanma Barranquero <lekktu@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 12953 12956. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Nov 2012 22:18:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 21 17:18:29 2012
Received: from localhost ([127.0.0.1]:59767 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TbIcn-00067D-4M
	for submit <at> debbugs.gnu.org; Wed, 21 Nov 2012 17:18:29 -0500
Received: from eggs.gnu.org ([208.118.235.92]:42247)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <gavenkoa@HIDDEN>) id 1TbIck-000675-QD
	for submit <at> debbugs.gnu.org; Wed, 21 Nov 2012 17:18:27 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <gavenkoa@HIDDEN>) id 1TbIbV-0000zY-13
	for submit <at> debbugs.gnu.org; Wed, 21 Nov 2012 17:17:09 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_HI,T_DKIM_INVALID autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:34360)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <gavenkoa@HIDDEN>) id 1TbIbU-0000zU-U7
	for submit <at> debbugs.gnu.org; Wed, 21 Nov 2012 17:17:08 -0500
Received: from eggs.gnu.org ([208.118.235.92]:60494)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <gavenkoa@HIDDEN>) id 1TbIbT-0001Ht-S4
	for bug-gnu-emacs@HIDDEN; Wed, 21 Nov 2012 17:17:08 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <gavenkoa@HIDDEN>) id 1TbIbS-0000yz-SZ
	for bug-gnu-emacs@HIDDEN; Wed, 21 Nov 2012 17:17:07 -0500
Received: from mail-ea0-f169.google.com ([209.85.215.169]:44710)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <gavenkoa@HIDDEN>) id 1TbIbS-0000yt-M5
	for bug-gnu-emacs@HIDDEN; Wed, 21 Nov 2012 17:17:06 -0500
Received: by mail-ea0-f169.google.com with SMTP id a12so2571958eaa.0
	for <bug-gnu-emacs@HIDDEN>; Wed, 21 Nov 2012 14:17:06 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=from:to:subject:date:message-id:mime-version:content-type;
	bh=m45+4Qw5Gb/eYvBTdKKlElx3SGUTDeqyuCGRMbdvYYU=;
	b=VNIXkCsEd26vA3woeSr5kkILhBg5qe2VNehgpN9RcHKc7sxDwm32PDalsbXVXt064v
	zrgu48VIWygSqq5ogPzClwLv8FCwDeBSEkK69bKLqruCLHL/DxeTjNPXfEvAGgy2suRN
	Xpw2vfIONiV8d4ddA4RUzDtusoDm44ftnLQZLZop5KszhTXpWO/Xaw6SJDnEF8lmS1T8
	gs2UNpNwN4VPeRWqSuUvm4vweDOUfLHZkGJWFQjbv+vfJMlfLoaZRgHUsBkF7gfZmHe0
	da2hHEwuP1qIKhyydeZsx5WsE8XrXYmH4uAJJG7IBY2WiZQPf3tZb71ldzy2KPyeHAps
	Fy/g==
Received: by 10.14.209.201 with SMTP id s49mr50396523eeo.7.1353536226050;
	Wed, 21 Nov 2012 14:17:06 -0800 (PST)
Received: from desktop ([37.229.16.202])
	by mx.google.com with ESMTPS id 2sm2906931eef.17.2012.11.21.14.17.04
	(version=SSLv3 cipher=OTHER); Wed, 21 Nov 2012 14:17:05 -0800 (PST)
From: Oleksandr Gavenko <gavenkoa@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.2; Move hl-line-mode to display engine so performance reason.
Date: Thu, 22 Nov 2012 00:17:02 +0200
Message-ID: <87sj82zjmp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -3.4 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.4 (---)

From http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12927

> > Also I found that "(global-hl-line-mode 1)" slow down scrolling in CC-mode
> > enabled buffers in two or more times. Do I need report a bug?

> No, this is expected.  hl-line-mode adds itself to post-command-hook,
> and moves its overlay after each command that changes the current
> line.  What this does is completely disable the redisplay
> optimizations used when only the cursor moves without any other
> changes to the text, because moving an overlay requires a thorough
> redisplay of the window, which is more expensive.

> The only bug report that I can think of is a feature request to move
> hl-line-mode into the display engine, because the display engine
> knowns very well where's the current line (when it decides where to
> display the cursor), and can do this highlighting better and much more
> efficiently.

-- 
Best regards!




Acknowledgement sent to Oleksandr Gavenko <gavenkoa@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#12956; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.